Public Member Functions
CVector3Array Class Reference

## Detailed Description

The CVector3Array is an uni-dimensional array of CVector3.

The array is zero-based, which means that the first item index is 0 and the larger index is one less that the number of elements contained in the array.

See also:
  MATH::CVector3, CFacetRefArray::GetNormalArray, CPointRefArray::GetPositionArray, CPointRefArray::PutPositionArray, CPointRefArray::GetNormalArray, CPolygonFaceRefArray::GetNormalArray, PolygonMesh::Get, PolygonMesh::Set, CSegmentRefArray::GetNormalArray, Triangle::GetPositionArray, Triangle::GetPolygonNodeNormalArray, CTriangleRefArray::GetPositionArray, CTriangleRefArray::GetPolygonNodeNormalArray, CTriangleVertexRefArray::GetPositionArray, CTriangleVertexRefArray::GetNormalArray, X3DObject::AddPolygonMesh

`#include <xsi_vector3.h>`

List of all members.

## Public Member Functions
| CVector3Array (LONG in_size=0)
| CVector3Array (const CVector3Array &in_Array)
| ~CVector3Array ()
CVector3Array & | operator= (const CVector3Array &in_array)
LONG | GetCount () const
CStatus | Add (const CVector3 &in_item)
CStatus | Clear ()
CStatus | Resize (LONG in_size)
const CVector3 & | operator[] (LONG in_index) const
CVector3 & | operator[] (LONG in_index)
bool | operator== (const CVector3Array &in_array) const
bool | operator!= (const CVector3Array &in_array) const

## Constructor & Destructor Documentation

CVector3Array | ( | LONG | in_size = `0` | ) |

Constructs a CVector3Array and optionally initializes the array to a known size.

Parameters:

  in_size | Size of array, defaults to 0.

CVector3Array | ( | const CVector3Array & | in_Array | ) |

Constructs a CVector3Array object from another CVector3Array object.

Parameters:

  in_Array | constant CVector3Array object.

~CVector3Array | ( |  | ) |

Default destructor.

## Member Function Documentation

CVector3Array& operator= | ( | const CVector3Array & | in_array | ) |

Assignment operator.

Parameters:

  in_array | constant class object.

Returns:
  A reference to this array.

LONG GetCount | ( |  | ) | const

Returns the number of items in this CVector3Array

Returns:
  The number of items in the array.

CStatus Add | ( | const CVector3 & | in_item | ) |

Adds a LONG at the end of this array's.

Parameters:

  in_item | New item to be added at the end of the array.

Returns:
  CStatus::OK success

CStatus Clear | ( |  | ) |

Erases all elements contained in the array.

Returns:
  CStatus::OK success

CStatus Resize | ( | LONG | in_size | ) |

Reallocates memory for the array, preserves its contents if the new size is larger than existing size.

Parameters:

  in_size | New size of the array.

Returns:
  CStatus::OK success
  CStatus::InvalidArgument in_size < 0

const CVector3& operator[] | ( | LONG | in_index | ) | const

Accessor to elements at a given index. This function can only be called by constant objects, the returned value is read-only.

Parameters:

  in_index | index in this zero based array. The index must be greater or equal to zero and smaller than the number of element in the array, otherwise the results are unpredictable.

Returns:
  A read-only reference to the indexed item.

CVector3& operator[] | ( | LONG | in_index | ) |

Accessor to elements at a given index.

Parameters:

  in_index | index in this zero based array. The index must be greater or equal to zero and smaller than the number of element in the array, otherwise the results are unpredictable.

Returns:
  A reference to the indexed item.

bool operator== | ( | const CVector3Array & | in_array | ) | const

Equality operator.

Parameters:

  in_array | CVector3Array to compare with.

Returns:
  true if in_array contains the same number of elements as this array and if all members of in_array are equal to the corresponding one contained in this array.

bool operator!= | ( | const CVector3Array & | in_array | ) | const

Inequality operator.

Parameters:

  in_array |

Returns:
  true if one member of in_array is different from the corresponding members in this array or if the arrays are not of the same size.

The documentation for this class was generated from the following file:

- xsi_vector3.h